package com.cim.idm.wmspackage.object.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.object.management.data
 *  NAME    : ObjectTypeDef.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class ObjectTypeDef extends FieldAccessor implements DataInfo<ObjectTypeDefKey>
{
	private ObjectTypeDefKey	key;

	private String				description;
	private String				attributeFlag;
	private String				extendedCFlag;
	private String				extendedTFlag;
	private String				operationFlag;
	private String				policyFlag;
	private String				historyTypeName;
	private String				nameSpaceName;

	public ObjectTypeDef()
	{
	}

	public ObjectTypeDefKey getKey()
	{
		return this.key;
	}

	public void setKey(ObjectTypeDefKey key)
	{
		this.key = key;
	}

	public String getDescription()
	{
		return this.description;
	}

	public void setDescription(String description)
	{
		this.description = description;
	}

	public String getAttributeFlag()
	{
		return this.attributeFlag;
	}

	public void setAttributeFlag(String attributeFlag)
	{
		this.attributeFlag = attributeFlag;
	}

	public String getExtendedCFlag()
	{
		return this.extendedCFlag;
	}

	public void setExtendedCFlag(String extendedCFlag)
	{
		this.extendedCFlag = extendedCFlag;
	}

	public String getExtendedTFlag()
	{
		return this.extendedTFlag;
	}

	public void setExtendedTFlag(String extendedTFlag)
	{
		this.extendedTFlag = extendedTFlag;
	}

	public String getOperationFlag()
	{
		return this.operationFlag;
	}

	public void setOperationFlag(String operationFlag)
	{
		this.operationFlag = operationFlag;
	}

	public String getPolicyFlag()
	{
		return this.policyFlag;
	}

	public void setPolicyFlag(String policyFlag)
	{
		this.policyFlag = policyFlag;
	}

	public String getHistoryTypeName()
	{
		return this.historyTypeName;
	}

	public void setHistoryTypeName(String historyTypeName)
	{
		this.historyTypeName = historyTypeName;
	}

	public String getNameSpaceName()
	{
		return this.nameSpaceName;
	}

	public void setNameSpaceName(String nameSpaceName)
	{
		this.nameSpaceName = nameSpaceName;
	}

}